ptypeTraits.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/bits/directionTraits.h"`

Go to the source code of this file.

## Classes

struct | osl::PtypeTraits< PTYPE_EMPTY >
struct | osl::PtypeTraits< PTYPE_EDGE >
struct | osl::PtypeTraits< GOLD >
struct | osl::PtypeTraits< PAWN >
struct | osl::PtypeTraits< PPAWN >
struct | osl::PtypeTraits< LANCE >
struct | osl::PtypeTraits< PLANCE >
struct | osl::PtypeTraits< KNIGHT >
struct | osl::PtypeTraits< PKNIGHT >
struct | osl::PtypeTraits< SILVER >
struct | osl::PtypeTraits< PSILVER >
struct | osl::PtypeTraits< BISHOP >
struct | osl::PtypeTraits< PBISHOP >
struct | osl::PtypeTraits< ROOK >
struct | osl::PtypeTraits< PROOK >
struct | osl::PtypeTraits< KING >
struct | osl::PtypeFunsSub< T, true >
struct | osl::PtypeFunsSub< T, false >
struct | osl::PtypeFuns< T >
struct | osl::PtypeDirectionTraits< T, D >
struct | osl::KingTraits< T >
struct | osl::PtypePlayerTraits< T, P >

## Namespaces

namespace | osl

## Enumerations

enum | osl::MoveConstraint { osl::CannotMove , osl::OnlyPromoted , osl::OnlyBasic , osl::NoConstraint }
| ある方向にある駒が移動可能かを表す. More...